Bug 894259 - Sound is garbled on playback of OGG, MP3s, WAV files and videos with sound.
Sound is garbled on playback of OGG, MP3s, WAV files and videos with sound.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
18
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 03:49 EST by Raj Upadhyaya
Modified: 2014-02-05 09:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:43:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
alsa-info.sh --no-upload --output alsa-info.txt (200.97 KB, text/plain)
2013-01-22 08:26 EST, Raj Upadhyaya
no flags Details
asound.state after alsactl store command run as root (12.26 KB, application/octet-stream)
2013-01-22 08:29 EST, Raj Upadhyaya
no flags Details
Comment (152.83 KB, text/plain)
2013-01-22 23:54 EST, Raj Upadhyaya
no flags Details

  None (edit)
Description Raj Upadhyaya 2013-01-11 03:49:36 EST
Description of problem:
When I listen to OGGs or MP3s using Rhythmbox or XMMS, the sound is garbled or not correctly balanced.

Version-Release number of selected component (if applicable):
I am currently using 3.8.0-rc3 of the kernel for testing, but many kernels produce this problem.

# cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version k3.8.0-rc3.

How reproducible:
Always.  


Steps to Reproduce:
1. Start Rhythmbox.
2. Play a MP3 or an OGG
3. Listen to the garbled or not correctly balanced output.
  
Actual results:
 Not correctly balanced and corrupted sound.

Expected results:
 Sound that faithfully reproduces the song.

Additional info:
 To further test this out, I booted one of my workstations as Windows XP and played the exact same MP3 using Winamp without any problem.
Comment 1 Raj Upadhyaya 2013-01-12 14:48:29 EST
I downloaded a debugging script alsa-info.sh from http://www.alsa-project.org/alsa-info.sh

Here is a copy of the output.

upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.61
!!################################

!!Script ran on: Sat Jan 12 19:29:05 UTC 2013


!!Linux Distribution
!!------------------

Fedora release 18 (Spherical Cow) Fedora release 18 (Spherical Cow) NAME=Fedora ID=fedora PRETTY_NAME="Fedora 18 (Spherical Cow)" CPE_NAME="cpe:/o:fedoraproject:fedora:18" Fedora release 18 (Spherical Cow) Fedora release 18 (Spherical Cow)


!!DMI Information
!!---------------

Manufacturer:      HP Pavilion 061
Product Name:      EX278AA-ABA a1560n
Product Version:   0nx1114RE101LEUCI00
Firmware Version:   3.12


!!Kernel Information
!!------------------

Kernel release:    3.8.0-rc3
Operating System:  GNU/Linux
Architecture:      i686
Processor:         i686
SMP Enabled:       Yes


!!ALSA Version
!!------------

Driver version:     k3.8.0-rc3
Library version:    
Utilities version:  1.0.26


!!Loaded ALSA modules
!!-------------------

snd_hda_intel


!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes

Jack:
      Installed - Yes (/usr/bin/jackd)
      Running - No


!!Soundcards recognised by ALSA
!!-----------------------------

 0 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfdff8000 irq 41


!!PCI Soundcards installed in the system
!!--------------------------------------

00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio Controller (rev 01)


!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!-------------------------------------------------------

00:1b.0 0403: 8086:27d8 (rev 01)
	Subsystem: 103c:2a3b


!!Loaded sound module options
!!---------------------------

!!Module: snd_hda_intel
	align_buffer_size : -1
	bdl_pos_adj : 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	beep_mode : N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
	enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
	enable_msi : -1
	id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	jackpoll_ms : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	patch : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	position_fix : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	power_save : 0
	power_save_controller : Y
	probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	probe_only : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	single_cmd : N
	snoop : Y


!!HDA-Intel Codec information
!!---------------------------
--startcollapse--

Codec: Realtek ALC882
Address: 2
AFG Function Id: 0x1 (unsol 0)
Vendor Id: 0x10ec0882
Subsystem Id: 0x103c2a3b
Revision Id: 0x100101
No Modem Function Group found
Default PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
GPIO: io=2, o=0, i=0, unsolicited=1, wake=0
  IO[0]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
  IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
Node 0x02 [Audio Output] wcaps 0x11: Stereo
  Device: name="ALC882 Analog", type="Audio", device=0
  Converter: stream=8, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x03 [Audio Output] wcaps 0x11: Stereo
  Converter: stream=8, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x04 [Audio Output] wcaps 0x11: Stereo
  Converter: stream=8, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x05 [Audio Output] wcaps 0x11: Stereo
  Converter: stream=8, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x06 [Audio Output] wcaps 0x211: Stereo Digital
  Control: name="IEC958 Playback Con Mask", index=0, device=0
  Control: name="IEC958 Playback Pro Mask", index=0, device=0
  Control: name="IEC958 Playback Default", index=0, device=0
  Control: name="IEC958 Playback Switch", index=0, device=0
  Control: name="IEC958 Default PCM Playback Switch", index=0, device=0
  Device: name="ALC882 Digital", type="SPDIF", device=1
  Converter: stream=8, channel=0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0x1e]: 16 20 24 32
    formats [0x1]: PCM
Node 0x07 [Audio Input] wcaps 0x10011b: Stereo Amp-In
  Control: name="Capture Switch", index=0, device=0
  Control: name="Capture Volume", index=0, device=0
  Device: name="ALC882 Analog", type="Audio", device=0
  Amp-In caps: ofs=0x08, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x08 0x08]
  Converter: stream=4, channel=0
  SDI-Select: 0
  PCM:
    rates [0x160]: 44100 48000 96000
    bits [0x6]: 16 20
    formats [0x1]: PCM
  Connection: 1
     0x24
Node 0x08 [Audio Input] wcaps 0x10011b: Stereo Amp-In
  Control: name="Capture Switch", index=1, device=0
  Control: name="Capture Volume", index=1, device=0
  Device: name="ALC882 Analog", type="Audio", device=2
  Amp-In caps: ofs=0x08, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x80 0x80]
  Converter: stream=0, channel=0
  SDI-Select: 0
  PCM:
    rates [0x160]: 44100 48000 96000
    bits [0x6]: 16 20
    formats [0x1]: PCM
  Connection: 1
     0x23
Node 0x09 [Audio Input] wcaps 0x10011b: Stereo Amp-In
  Control: name="Capture Switch", index=2, device=0
  Control: name="Capture Volume", index=2, device=0
  Amp-In caps: ofs=0x08, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x80 0x80]
  Converter: stream=0, channel=0
  SDI-Select: 0
  PCM:
    rates [0x160]: 44100 48000 96000
    bits [0x6]: 16 20
    formats [0x1]: PCM
  Connection: 1
     0x22
Node 0x0a [Audio Input] wcaps 0x100391: Stereo Digital
  Control: name="IEC958 Capture Switch", index=0, device=0
  Control: name="IEC958 Capture Default", index=0, device=0
  Device: name="ALC882 Digital", type="SPDIF", device=1
  Converter: stream=0, channel=0
  SDI-Select: 0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0x1e]: 16 20 24 32
    formats [0x1]: PCM
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x1f
Node 0x0b [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Control: name="Rear Mic Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Rear Mic Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Front Mic Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=1, ofs=0
  Control: name="Front Mic Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=1, ofs=0
  Control: name="Line Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=2, ofs=0
  Control: name="Line Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=2, ofs=0
  Control: name="Line Playback Volume", index=1, device=0
    ControlAmp: chs=3, dir=In, idx=4, ofs=0
  Control: name="Line Playback Switch", index=1, device=0
    ControlAmp: chs=3, dir=In, idx=4, ofs=0
  Control: name="Beep Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=5, ofs=0
  Control: name="Beep Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=5, ofs=0
  Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x82 0x82] [0x80 0x80] [0x81 0x81] [0x80 0x80] [0x9a 0x9a] [0x95 0x95] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Connection: 10
     0x18 0x19 0x1a 0x1b 0x1c 0x1d 0x14 0x15 0x16 0x17
Node 0x0c [Audio Mixer] wcaps 0x20010f: Stereo Amp-In Amp-Out
  Control: name="Front Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Amp-Out caps: ofs=0x1f, nsteps=0x1f, stepsize=0x05, mute=0
  Amp-Out vals:  [0x1f 0x1f]
  Connection: 2
     0x02 0x0b
Node 0x0d [Audio Mixer] wcaps 0x20010f: Stereo Amp-In Amp-Out
  Control: name="Surround Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Amp-Out caps: ofs=0x1f, nsteps=0x1f, stepsize=0x05, mute=0
  Amp-Out vals:  [0x1f 0x1f]
  Connection: 2
     0x03 0x0b
Node 0x0e [Audio Mixer] wcaps 0x20010f: Stereo Amp-In Amp-Out
  Control: name="Center Playback Volume", index=0, device=0
    ControlAmp: chs=1, dir=Out, idx=0, ofs=0
  Control: name="LFE Playback Volume", index=0, device=0
    ControlAmp: chs=2, dir=Out, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Amp-Out caps: ofs=0x1f, nsteps=0x1f, stepsize=0x05, mute=0
  Amp-Out vals:  [0x1f 0x1f]
  Connection: 2
     0x04 0x0b
Node 0x0f [Audio Mixer] wcaps 0x20010f: Stereo Amp-In Amp-Out
  Control: name="Side Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Amp-Out caps: ofs=0x1f, nsteps=0x1f, stepsize=0x05, mute=0
  Amp-Out vals:  [0x1f 0x1f]
  Connection: 2
     0x05 0x0b
Node 0x10 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x11 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x12 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x13 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x14 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Front Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Line Out Front Phantom Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000003f: IN OUT HP Detect Trigger ImpSense
  Pin Default 0x01014110: [Jack] Line Out at Ext Rear
    Conn = 1/8, Color = Green
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Unsolicited: tag=00, enabled=0
  Connection: 5
     0x0c* 0x0d 0x0e 0x0f 0x26
Node 0x15 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Surround Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Line Out Surround Phantom Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000003f: IN OUT HP Detect Trigger ImpSense
  Pin Default 0x01011112: [Jack] Line Out at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0x1, Sequence = 0x2
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Unsolicited: tag=00, enabled=0
  Connection: 5
     0x0c 0x0d* 0x0e 0x0f 0x26
Node 0x16 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Center Playback Switch", index=0, device=0
    ControlAmp: chs=1, dir=Out, idx=0, ofs=0
  Control: name="LFE Playback Switch", index=0, device=0
    ControlAmp: chs=2, dir=Out, idx=0, ofs=0
  Control: name="Line Out CLFE Phantom Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000003f: IN OUT HP Detect Trigger ImpSense
  Pin Default 0x01016111: [Jack] Line Out at Ext Rear
    Conn = 1/8, Color = Orange
    DefAssociation = 0x1, Sequence = 0x1
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Unsolicited: tag=00, enabled=0
  Connection: 5
     0x0c 0x0d 0x0e* 0x0f 0x26
Node 0x17 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Side Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Line Out Side Phantom Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000003f: IN OUT HP Detect Trigger ImpSense
  Pin Default 0x01012114: [Jack] Line Out at Ext Rear
    Conn = 1/8, Color = Grey
    DefAssociation = 0x1, Sequence = 0x4
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Unsolicited: tag=00, enabled=0
  Connection: 5
     0x0c 0x0d 0x0e 0x0f* 0x26
Node 0x18 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Rear Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Rear Mic Phantom Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000173f: IN OUT HP Detect Trigger ImpSense
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x01a19940: [Jack] Mic at Ext Rear
    Conn = 1/8, Color = Pink
    DefAssociation = 0x4, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=00, enabled=0
  Connection: 5
     0x0c* 0x0d 0x0e 0x0f 0x26
Node 0x19 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Front Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Front Mic Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000173f: IN OUT HP Detect Trigger ImpSense
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x02a19c50: [Jack] Mic at Ext Front
    Conn = 1/8, Color = Pink
    DefAssociation = 0x5, Sequence = 0x0
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=07, enabled=1
  Connection: 5
     0x0c* 0x0d 0x0e 0x0f 0x26
Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Line Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000173f: IN OUT HP Detect Trigger ImpSense
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x02813c70: [Jack] Line In at Ext Front
    Conn = 1/8, Color = Blue
    DefAssociation = 0x7, Sequence = 0x0
  Pin-ctls: 0x20: IN VREF_HIZ
  Unsolicited: tag=08, enabled=1
  Connection: 5
     0x0c* 0x0d 0x0e 0x0f 0x26
Node 0x1b [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Headphone Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Front Headphone Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000173f: IN OUT HP Detect Trigger ImpSense
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x02214c20: [Jack] HP Out at Ext Front
    Conn = 1/8, Color = Green
    DefAssociation = 0x2, Sequence = 0x0
  Pin-ctls: 0xc0: OUT HP VREF_HIZ
  Unsolicited: tag=01, enabled=1
  Connection: 5
     0x0c 0x0d 0x0e 0x0f 0x26*
Node 0x1c [Pin Complex] wcaps 0x400001: Stereo
  Control: name="Line Phantom Jack", index=0, device=0
  Pincap 0x00000020: IN
  Pin Default 0x01813141: [Jack] Line In at Ext Rear
    Conn = 1/8, Color = Blue
    DefAssociation = 0x4, Sequence = 0x1
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
Node 0x1d [Pin Complex] wcaps 0x400000: Mono
  Pincap 0x00000020: IN
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
Node 0x1e [Pin Complex] wcaps 0x400300: Mono Digital
  Control: name="SPDIF Phantom Jack", index=0, device=0
  Pincap 0x00000010: OUT
  Pin Default 0x01446130: [Jack] SPDIF Out at Ext Rear
    Conn = RCA, Color = Orange
    DefAssociation = 0x3, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Connection: 1
     0x06
Node 0x1f [Pin Complex] wcaps 0x400200: Mono Digital
  Control: name="SPDIF In Phantom Jack", index=0, device=0
  Pincap 0x00000020: IN
  Pin Default 0x01c41160: [Jack] SPDIF In at Ext Rear
    Conn = RCA, Color = Black
    DefAssociation = 0x6, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
Node 0x20 [Vendor Defined Widget] wcaps 0xf00040: Mono
  Processing caps: benign=0, ncoeff=15
Node 0x21 [Volume Knob Widget] wcaps 0x600080: Mono
  Volume-Knob: delta=0, steps=32, direct=0, val=64
  Unsolicited: tag=00, enabled=0
  Connection: 0
Node 0x22 [Audio Mixer] wcaps 0x20010f: Stereo Amp-In Amp-Out
  Control: name="Input Source", index=2, device=0
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Amp-Out caps: N/A
  Amp-Out vals:  [0x00 0x00]
  Connection: 11
     0x18 0x19 0x1a 0x1b 0x1c 0x1d 0x14 0x15 0x16 0x17 0x0b
Node 0x23 [Audio Mixer] wcaps 0x20010f: Stereo Amp-In Amp-Out
  Control: name="Input Source", index=1, device=0
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Amp-Out caps: N/A
  Amp-Out vals:  [0x00 0x00]
  Connection: 11
     0x18 0x19 0x1a 0x1b 0x1c 0x1d 0x14 0x15 0x16 0x17 0x0b
Node 0x24 [Audio Mixer] wcaps 0x20010f: Stereo Amp-In Amp-Out
  Control: name="Input Source", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x80 0x80] [0x00 0x00] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Amp-Out caps: N/A
  Amp-Out vals:  [0x00 0x00]
  Connection: 11
     0x18 0x19 0x1a 0x1b 0x1c 0x1d 0x14 0x15 0x16 0x17 0x0b
Node 0x25 [Audio Output] wcaps 0x11: Stereo
  Converter: stream=8, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x26 [Audio Mixer] wcaps 0x20010f: Stereo Amp-In Amp-Out
  Control: name="Headphone Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Amp-Out caps: ofs=0x1f, nsteps=0x1f, stepsize=0x05, mute=0
  Amp-Out vals:  [0x1f 0x1f]
  Connection: 2
     0x25 0x0b
--endcollapse--
Comment 2 Raymond 2013-01-21 22:30:15 EST
please include the output of alsactl  and the system in alsa-info.sh


it is strange that all jacks at rear panel does not support Jack detection

Misc = NO_PRESENCE




http://git.alsa-project.org/?p=alsa-tools.git;a=blob;f=hda-verb/README;hb=HEAD

Used hda-verb to check all jacks nodes from 0x14 to 0x1c

hda-verb /dev/snd/hwC0D0 0x1b GET_PIN_SENSE
Comment 3 Raj Upadhyaya 2013-01-22 08:26:50 EST
Created attachment 685136 [details]
alsa-info.sh --no-upload --output alsa-info.txt
Comment 4 Raj Upadhyaya 2013-01-22 08:29:45 EST
Created attachment 685137 [details]
asound.state after alsactl store command run as root
Comment 5 Raymond 2013-01-22 09:07:09 EST
how many audio jacks at rear panel of this desktop ?

does it has any digital out and digital in ?



do the front audio panel support Jack detection ?



hda-verb /dev/snd/hwC0D0 0x1b GET_PIN_SENSE

should return 1 after your plugged the headphone and return 0 when you unplugged

try to test Jack detect for line out jacks , line in jack and Mic jacks


Sysfs Files
!!-----------

/sys/class/sound/hwC0D2/init_pin_configs:
0x14 0x01014110
0x15 0x01011112
0x16 0x01016111
0x17 0x01012114
0x18 0x01a19940
0x19 0x02a19c50
0x1a 0x02813c70
0x1b 0x02214c20
0x1c 0x01813141
0x1d 0x411111f0
0x1e 0x01446130
0x1f 0x01c41160
Comment 6 Raj Upadhyaya 2013-01-22 14:17:49 EST
(In reply to comment #5)
> how many audio jacks at rear panel of this desktop ?
6 jacks.
> 
> does it has any digital out and digital in ?
It has both digital out and digital in in the back of the desktop.
> 
> 
> 
> do the front audio panel support Jack detection ?
I am not sure.
> 
> 
> 
> hda-verb /dev/snd/hwC0D0 0x1b GET_PIN_SENSE

This isn't working for me.  I git clone'ed the alsa-tools and built the hda-verb
executable.  I am getting a parameter error.

./hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE
usage: hda-verb [option] hwdep-device nid verb param
   -l      List known verbs and parameters
   -L      List known verbs and parameters (one per line)

I don't really know why hda-verb is complaining about this command.
> 
> should return 1 after your plugged the headphone and return 0 when you
> unplugged
> 
> try to test Jack detect for line out jacks , line in jack and Mic jacks
> 
> 
> Sysfs Files
> !!-----------
> 
> /sys/class/sound/hwC0D2/init_pin_configs:
> 0x14 0x01014110
> 0x15 0x01011112
> 0x16 0x01016111
> 0x17 0x01012114
> 0x18 0x01a19940
> 0x19 0x02a19c50
> 0x1a 0x02813c70
> 0x1b 0x02214c20
> 0x1c 0x01813141
> 0x1d 0x411111f0
> 0x1e 0x01446130
> 0x1f 0x01c41160

(My Settings....)
# more init_pin_configs 
0x14 0x01014110
0x15 0x01011112
0x16 0x01016111
0x17 0x01012114
0x18 0x01a19940
0x19 0x02a19c50
0x1a 0x02813c70
0x1b 0x02214c20
0x1c 0x01813141
0x1d 0x411111f0
0x1e 0x01446130
0x1f 0x01c41160
Comment 7 Raymond 2013-01-22 19:47:53 EST
alsamixer  -c0

did the playback switch toggle on and off rapidly in alsamixer ? 



hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE  0

http://lists.opensuse.org/opensuse-bugs/2010-01/msg04300.html

please also check the impedance measure

hda-verb /dev/snd/hwC0D2 0x1b SET_PIN_SENSE  0

Wait about 0.2 second 

hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE  0


control.48 {
		iface CARD
		name 'Front Headphone Jack'
		value true
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
Comment 8 Raymond 2013-01-22 20:01:13 EST
how many Jack at front panel ?

it is strange that blue Jack at front panel too


Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Line Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000173f: IN OUT HP Detect Trigger ImpSense
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x02813c70: [Jack] Line In at Ext Front
    Conn = 1/8, Color = Blue
    DefAssociation = 0x7, Sequence = 0x0
  Pin-ctls: 0x20: IN VREF_HIZ
  Unsolicited: tag=08, enabled=1
  Connection: 5
     0x0c* 0x0d 0x0e 0x0f 0x26
Comment 9 Raymond 2013-01-22 20:05:32 EST
this node should be CD at int


Node 0x1c [Pin Complex] wcaps 0x400001: Stereo
  Control: name="Line Phantom Jack", index=0, device=0
  Pincap 0x00000020: IN
  Pin Default 0x01813141: [Jack] Line In at Ext Rear
    Conn = 1/8, Color = Blue
    DefAssociation = 0x4, Sequence = 0x1
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
Comment 10 Raj Upadhyaya 2013-01-22 21:39:39 EST
(In reply to comment #7)
> alsamixer  -c0
> 
> did the playback switch toggle on and off rapidly in alsamixer ? 
> 
Not that I noted..
> 
> 
> hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE  0

Works.
hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE  0
nid = 0x1b, verb = 0xf09, param = 0x0
value = 0x80000000

> 
> http://lists.opensuse.org/opensuse-bugs/2010-01/msg04300.html
> 
> please also check the impedance measure
> 
> hda-verb /dev/snd/hwC0D2 0x1b SET_PIN_SENSE  0
$ hda-verb /dev/snd/hwC0D2 0x1b SET_PIN_SENSE  0
nid = 0x1b, verb = 0x709, param = 0x0
value = 0x0
> 
> Wait about 0.2 second 
> 
> hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE  0
  hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE  0
nid = 0x1b, verb = 0xf09, param = 0x0
value = 0x80000000

> 
> 
> control.48 {
> 		iface CARD
> 		name 'Front Headphone Jack'
> 		value true
> 		comment {
> 			access read
> 			type BOOLEAN
> 			count 1
> 		}
> 	}

What do you want with above??
Comment 11 Raj Upadhyaya 2013-01-22 21:41:21 EST
(In reply to comment #8)
> how many Jack at front panel ?
> 
> it is strange that blue Jack at front panel too
3 for audio.  
> 
> 
> Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
>   Control: name="Line Jack", index=0, device=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
>   Amp-In vals:  [0x00 0x00]
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x80 0x80]
>   Pincap 0x0000173f: IN OUT HP Detect Trigger ImpSense
>     Vref caps: HIZ 50 GRD 80
>   Pin Default 0x02813c70: [Jack] Line In at Ext Front
>     Conn = 1/8, Color = Blue
>     DefAssociation = 0x7, Sequence = 0x0
>   Pin-ctls: 0x20: IN VREF_HIZ
>   Unsolicited: tag=08, enabled=1
>   Connection: 5
>      0x0c* 0x0d 0x0e 0x0f 0x26
Comment 12 Raymond 2013-01-22 21:56:25 EST
do you mean that you have green , pink and blue Jack at front ?


as you mention that you have 6 audio jacks at rear

green,  black, orange and grey line out jacks and pink Mic jack at real panel


try hda-verb with all rear panel jacks (with Jack plugged) for those pin complex with pin cap DETECT

hda-verb /dev/snd/hwC0D2 0x14 GET_PIN_SENSE  0
Comment 13 Raymond 2013-01-22 22:06:50 EST
do you really have two blue Jacks (one at front and the other at rear) ?


Control: name="Line Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=2, ofs=0
  Control: name="Line Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=2, ofs=0
  Control: name="Line Playback Volume", index=1, device=0
    ControlAmp: chs=3, dir=In, idx=4, ofs=0
  Control: name="Line Playback Switch", index=1, device=0
    ControlAmp: chs=3, dir=In, idx=4, ofs=0
Comment 14 Raj Upadhyaya 2013-01-22 23:21:02 EST
(In reply to comment #12)
> do you mean that you have green , pink and blue Jack at front ?
Looks like in the front I have lt green (which the headphones are plugged in), pink and lt blue.
> 
> 
> as you mention that you have 6 audio jacks at rear
> 
> green,  black, orange and grey line out jacks and pink Mic jack at real panel

Lt Blue, Lt Green, Pink
Orange, Black, Grey
> 
> 
> try hda-verb with all rear panel jacks (with Jack plugged) for those pin
> complex with pin cap DETECT
> 
With Something plugged in all 6 audio plugs in the rear panel.
> hda-verb /dev/snd/hwC0D2 0x14 GET_PIN_SENSE  0
$ hda-verb /dev/snd/hwC0D2 0x14 GET_PIN_SENSE  0
nid = 0x14, verb = 0xf09, param = 0x0
value = 0x80000000

With nothing plugged in the back.
$ hda-verb /dev/snd/hwC0D2 0x14 GET_PIN_SENSE  0
nid = 0x14, verb = 0xf09, param = 0x0
value = 0x0

With nothing plugged in the front Lt. Green
$ hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE  0
nid = 0x1b, verb = 0xf09, param = 0x0
value = 0x0
With the headphones plugged in the front Lt. Green
$ hda-verb /dev/snd/hwC0D2 0x1b GET_PIN_SENSE  0
nid = 0x1b, verb = 0xf09, param = 0x0
value = 0x80000000
Comment 15 Raj Upadhyaya 2013-01-22 23:35:55 EST
Yes, I think so.


(In reply to comment #13)
> do you really have two blue Jacks (one at front and the other at rear) ?
> 
> 
> Control: name="Line Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=2, ofs=0
>   Control: name="Line Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=2, ofs=0
>   Control: name="Line Playback Volume", index=1, device=0
>     ControlAmp: chs=3, dir=In, idx=4, ofs=0
>   Control: name="Line Playback Switch", index=1, device=0
>     ControlAmp: chs=3, dir=In, idx=4, ofs=0
Comment 16 Raj Upadhyaya 2013-01-22 23:54:04 EST
Created attachment 915662 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 17 Raymond 2013-01-23 01:04:20 EST
i think you better report the repeated 
hda_codec_cleanup_stream to alsa development mailing list


.374225] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x25
[   32.374575] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x2
[   32.374581] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x3
[   32.374585] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x4
[   32.374588] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x5
[   32.374592] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x25
[   32.374916] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x2
[   32.374921] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x3
[   32.374925] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x4
[   32.374929] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x5
[   32.374932] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x25
[   32.375602] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x2
[   32.375607] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x3
[   32.375611] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x4
[   32.375615] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x5
[   32.375619] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x25
[   32.376435] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x2
[   32.376440] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x3
[   32.376444] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x4
[   32.376448] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x5
[   32.376452] ALSA hda_codec.c:1499 hda_codec_cleanup_stream: NID=0x25
Comment 18 Raymond 2013-01-23 01:13:00 EST
>With Something plugged in all 6 audio plugs in the rear panel.
>$ hda-verb /dev/snd/hwC0D2 0x14 GET_PIN_SENSE  0
>nid = 0x14, verb = 0xf09, param = 0x0
>value = 0x80000000

>With nothing plugged in the back.
>$ hda-verb /dev/snd/hwC0D2 0x14 GET_PIN_SENSE  0
>nid = 0x14, verb = 0xf09, param = 0x0
>value = 0x0

this mean that the rear green Jack support Jack detect

you have to clear the misc bit of pin default of node 0x14


do you mean only these two JacKS support Jack detection ?
Comment 19 Raymond 2013-01-23 01:23:44 EST
Simple mixer control 'Input Source',0 Capabilities: cenum Items: 'Rear Mic' 'Front Mic' 'Line' 'Line 1' Item0: 'Rear Mic'

you need alsa developer to change 'Line' 'Line 1' to a clear name if you have two blue jacks
Comment 20 Raj Upadhyaya 2013-01-26 14:28:50 EST
Well,
I recreated the problem on a Fedora 17 laptop today.  I copied my MP3s there and they played fine through the internal speakers.  

I plugged in the headphones in the combo SPDIF/headphone jack and the same garbled sound that I experienced in the desktop!!!  It is a hardware error (probably in the cable of the headphones).

I am going to swap out the headphones and you can close the ticket.

I learned alot about ALSA and sound support in Linux in general, so the effort wasn't totally wasted.  

Thank you for your help..

- Raj
Comment 21 Fedora End Of Life 2013-12-21 05:19:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2014-02-05 09:43:02 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.